# class Psych::Nodes::Scalar

This class represents a YAML Scalar.

This node type is a terminal node and should not have any children.

### Constants

ANY

  Any style scalar, the emitter chooses

DOUBLE_QUOTED

  Double quoted style

FOLDED

  Folded style

LITERAL

  Literal style

PLAIN

  Plain scalar style

SINGLE_QUOTED

  Single quoted style

### Attributes

anchor [RW]

The anchor value (if there is one)

plain [RW]

Is this a plain scalar?

quoted [RW]

Is this scalar quoted?

style [RW]

The style of this scalar

tag [RW]

The tag value (if there is one)

value [RW]

The scalar value

### Public Class Methods

new (value, anchor = nil, tag = nil, plain = true, quoted = false, style = ANY)
Source

    # File ext/psych/lib/psych/nodes/scalar.rb, line 58
    def initialize value, anchor = nil, tag = nil, plain = true, quoted = false, style = ANY
      @value  = value
      @anchor = anchor
      @tag    = tag
      @plain  = plain
      @quoted = quoted
      @style  = style
    end

Create a new `Psych::Nodes::Scalar` object.

`value` is the string value of the scalar `anchor` is an associated anchor or nil `tag` is an associated tag or nil `plain` is a boolean value `quoted` is a boolean value `style` is an integer indicating the string style

## See Also¶ ↑

See also `Psych::Handler#scalar`

### Public Instance Methods

scalar? ()
Source

    # File ext/psych/lib/psych/nodes/scalar.rb, line 67
    def scalar?; true; end